Summary: A general purpose sound file conversion tool
Name: sox
Version: 14.4.2.0
Release:    1%{?dist}
License: GPLv2+ and LGPLv2+ and MIT
Source0: https://github.com/i386x/sox-downstream/archive/%{name}-%{version}.modified.tar.gz
URL: http://sox.sourceforge.net/
Patch0: sox-14.4.2-lsx_symbols.patch
Patch1: sox-14.4.2-lpc10.patch
Patch2: sox-14.4.2-fsf_address_fix.patch
Patch1000: sox-14.4.2-bug_1500570_fix.patch
Patch1001: sox-14.4.2-bug_1500554_fix.patch
Patch1002: sox-14.4.2-bug_1500553_fix.patch
Patch1003: sox-14.4.2-bug_1510923_fix.patch
Patch1004: sox-14.4.2-hcom_stopwrite_big_endian_bug_fix.patch
Patch1005: sox-14.4.2-bug_1226675_fix.patch
Patch1006: sox-14.4.2-bug_1480678_fix.patch
Patch1007: sox-14.4.2-bug_1545867_fix.patch
Patch9000: sox-14.4.2-installcheck_fix.patch
Patch9001: sox-sample_tes-t-c99.patch
BuildRequires: make
BuildRequires: gcc
BuildRequires: libvorbis-devel
BuildRequires: alsa-lib-devel, libtool-ltdl-devel, libsamplerate-devel
BuildRequires: gsm-devel, wavpack-devel, ladspa-devel, libpng-devel
BuildRequires: flac-devel, libao-devel, libsndfile-devel, libid3tag-devel
BuildRequires: pulseaudio-libs-devel, opusfile-devel
BuildRequires: libtool, libmad-devel, lame-devel, twolame-devel

%description
SoX (Sound eXchange) is a sound file format converter. SoX can convert
between many different digitized sound formats and perform simple
sound manipulation functions, including sound effects.

%package -n  sox-devel
Summary: The SoX sound file format converter libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description -n sox-devel
This package contains the library needed for compiling applications
which will use the SoX sound file format converter.

%prep
%setup -q -n %{name}-downstream-%{name}-%{version}.modified
%patch0 -p1
%patch1 -p1 -b .lpc
%patch2 -p1
%patch1000 -p1
%patch1001 -p1
%patch1002 -p1
%patch1003 -p1
%patch1004 -p1
%patch1005 -p1
%patch1006 -p1
%patch1007 -p1
%patch9000 -p1
%patch9001 -p1
autoreconf -vfi

%build
CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
%configure --without-lpc10 \
           --with-gsm \
           --includedir=%{_includedir}/sox \
           --disable-static \
           --with-distro=Fedora \
           --with-dyn-default

make V=1 %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/libsox.la
rm -f %{buildroot}%{_libdir}/sox/*.la
rm -f %{buildroot}%{_libdir}/sox/*.a


%files
%{!?_licensedir:%global license %doc}
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/play
%{_bindir}/rec
%{_bindir}/sox
%{_bindir}/soxi
%{_libdir}/libsox.so.*
%dir %{_libdir}/sox/
%{_libdir}/sox/libsox_fmt_*.so
%{_mandir}/man1/*
%{_mandir}/man7/*

%files -n sox-devel
%{_includedir}/sox
%{_libdir}/libsox.so
%{_libdir}/pkgconfig/sox.pc
%{_mandir}/man3/*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 14.4.2.0-1
- initial build
